{ lib, config, pkgs, ... }:
let cfg = config.syscfg.make.gui;
in {
  config = lib.mkIf cfg {
    # sound.enable = true;
    security.rtkit.enable = true;
    services.pulseaudio.enable = false; #25.05 change to services
    services.pipewire = {
      enable = true;
      alsa.enable = true;
      alsa.support32Bit = true;
      pulse.enable = true;
      # wireplumber.enable = true;
    };

    environment.systemPackages = with pkgs; [ easyeffects alsa-utils ];
  };
}
